%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(Meta|St|Cogl|Clutter\\)

%global uuid appindicatorsupport@rgcjonas.gmail.com

Name:		gnome-shell-extension-appindicator
Summary:	AppIndicator/KStatusNotifierItem support for GNOME Shell
Version:	60
Release:	%mkrel 1
License:	GPLv2
Group:		Graphical desktop/GNOME
URL:		https://github.com/ubuntu/gnome-shell-extension-appindicator
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	jq
BuildRequires:	meson
# /usr/bin/glib-compile-schemas
BuildRequires:	glib2.0-common
Requires:	gnome-shell >= 3.14.0
Requires:	libappindicator-gtk3

# gnome-shell-extension-appindicator version >= 40 now also includes
# support for legacy X11 tray icons and the topicons(-plus) extensions
# are no longer maintained upstream
Provides:	gnome-shell-extension-topicons-plus = %{version}-%{release}
Provides:	gnome-shell-extension-topicons = %{version}-%{release}
Obsoletes:	gnome-shell-extension-topicons < 27-3

%description
This extension integrates Ubuntu AppIndicators and KStatusNotifierItems (KDE's
blessed successor of the systray) into GNOME Shell.

You can use gnome-tweaks (additional package) or run in terminal:

  gnome-extensions enable %uuid

%prep
%autosetup -p1

%build
%meson \
    -Dlocal_install=disabled
%meson_build

%install
%meson_install

%find_lang AppIndicatorExtension

rm %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%files -f AppIndicatorExtension.lang
%license LICENSE
%doc README.md AUTHORS.md
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/glib-2.0/schemas/*.gschema.xml


%changelog
* Wed Jun 11 2025 daviddavid <daviddavid> 60-1.mga10
+ Revision: 2190546
- new version 60

* Thu Sep 19 2024 daviddavid <daviddavid> 59-1.mga10
+ Revision: 2098961
- new version 59

* Fri May 03 2024 daviddavid <daviddavid> 58-1.mga10
+ Revision: 2061924
- new version: 58

* Tue Mar 19 2024 daviddavid <daviddavid> 57-1.mga10
+ Revision: 2050926
- new version 57

* Tue Apr 25 2023 daviddavid <daviddavid> 53-1.mga9
+ Revision: 1954844
- new version 53

* Fri Nov 18 2022 wally <wally> 46-2.mga9
+ Revision: 1908693
- bump gnome-shell-extension-topicons obsoletes

* Tue Nov 15 2022 guillomovitch <guillomovitch> 46-1.mga9
+ Revision: 1907405
- new version 46

* Sat Apr 23 2022 wally <wally> 42-1.mga9
+ Revision: 1852848
- new version 42

* Thu Mar 24 2022 umeabot <umeabot> 41-4.mga9
+ Revision: 1824790
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 41-3.mga9
+ Revision: 1778413
- Rebuild for python-3.10

* Wed Jan 05 2022 wally <wally> 41-2.mga9
+ Revision: 1766936
- require libappindicator-gtk3

* Tue Jan 04 2022 wally <wally> 41-1.mga9
+ Revision: 1766804
- fix RPM group
- add missing BR for glib-compile-schemas
- Import based on .spec from Fedora


* Thu Sep 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 41-1
- build(update): 41
- build: Switch to Meson
- build(add BR): jq

* Thu Sep 23 2021 Ivan Mironov <mironov.ivan@gmail.com> - 40-2
- Add support for GNOME 41

* Mon Aug  9 2021 Hans de Goede <hdegoede@redhat.com> - 40-1
- Update to latest upstream release: v40 (rhbz#1971135)
- This includes legacy X11 tray-icon support, make
  gnome-shell-extension-appindicator obsolete and provide
  gnome-shell-extension-topicons-plus

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 37-1
- build(update): 37

* Tue Apr 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 35-2
- build(add dep): libappindicator-gtk3

* Fri Mar 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 35-1
- build(update): 35

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 34-1
- Update to 34

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 33-1
- Update to 33

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 30-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Sep 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 30-7
- Initial package
